Bug 62448 - System hungs when returned from standby mode
System hungs when returned from standby mode
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-31 22:53 EST by Sergei A. Shubin
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergei A. Shubin 2002-03-31 22:53:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
System hungs when it resumes from standby mode initiated either by BIOS call or 
user (apm -s). The problem occurs on notebook HP OmniBook 6100 and only when 
one is battery powered.
System hungs when it is executing the hwclock command 
from /etc/sysconfig/apmscript. The reason is that hwclock can not use /dev/rtc 
driver when notebook resumed from standby mode. 
I do not know if it is right but when I use --directisa option for hwclock it 
all works fine. I also use this option in /etc/rc.d/init.d/halt script in order 
to exclude system hung during rebooting.
 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Turn AC power off
2. Type apm -s or press standby button
3. Resume noteboot pressing standby button again
4. Then the system is executing hwclock command it hungs
	

Actual Results:  The system hungs

Additional info:

Notebook HP OmniBook 6100
RedHat 7.2
Comment 1 Sergei A. Shubin 2002-03-31 23:00:22 EST
Additional info:

kernel 2.4.18 from skipjack SRPM
Comment 2 Bernhard Rosenkraenzer 2002-04-01 04:14:19 EST
Assigning to kernel - hangs on accessing /dev/rtc occur there.
Comment 3 Bugzilla owner 2004-09-30 11:39:28 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.